Subject: Re: [p4tc-discussions] Re: [PATCH RFC v2 net-next 10/28] p4tc: add pipeline create, get, update, delete

From: Simon Horman <[email-masked]>
Date: Mon, 5 Jun 2023 16:35:57 +0200

On Mon, Jun 05, 2023 at 10:32:20AM -0400, Jamal Hadi Salim wrote:
> On Mon, Jun 5, 2023 at 6:12 AM Simon Horman via p4tc-discussions
> <[email-masked]> wrote:
> >
> > On Wed, May 17, 2023 at 07:02:14AM -0400, Jamal Hadi Salim wrote:
> >
> > > +static void __tcf_pipeline_init(void)
> > > +{
> > > +     int pipeid = P4TC_KERNEL_PIPEID;
> > > +
> > > +     root_pipeline = kzalloc(sizeof(*root_pipeline), GFP_ATOMIC);
> > > +     if (!root_pipeline) {
> > > +             pr_err("Unable to register kernel pipeline\n");
> >
> > Hi Victor, Pedro, and Jamal,
> >
> > a minor nit from my side: in general it is preferred not to to log messages
> > for allocation failures, as the mm core does this already.
> >
> 
> We debated this one - the justification was we wanted to see more
> details of what exactly failed since this is invoked earlier in the
> loading. Thoughts?

Yeah, this is not so clear cut as the glib remark in my previous email implied.
I guess the question is: what does this extra message give us?
If it provides value, I don't object to it staying.